add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kturtle (executable)

tde_add_executable( kturtle AUTOMOC

  SOURCES
        main.cpp
        kturtle.cpp
        canvas.cpp
        dialogs.cpp
        value.cpp
        lexer.cpp
        parser.cpp
        executer.cpp
        treenode.cpp
        token.cpp
        translate.cpp
        settings.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared
     tdeparts-shared
     katepartinterfaces-shared

  DESTINATION ${BIN_INSTALL_DIR}
)

set_property(
    SOURCE canvas.cpp lexer.cpp translate.cpp
    APPEND PROPERTY OBJECT_DEPENDS
        ${CMAKE_BINARY_DIR}/kturtle/src/settings.cpp
)


##### icons

tde_install_icons( kturtle )


##### other data

install(
    FILES kturtleui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kturtle
)

tde_create_translated_desktop( kturtle.desktop )

install(
    FILES kturtle.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)
